# hey Emacs, its -*- mode: rpm-spec; coding: cyrillic-cp1251; -*-

%def_without M24
%def_with M30

%define _release alt2
%if_with M24
%define _release alt1.M24.2
%endif
%if_with M30
%define _release alt1.M30.2
%endif

Name: aprutil
Version: 0.9.7
Release: %_release
Epoch: 1

Summary: Apache Portable Runtime Utility shared library
Group: System/Libraries
License: Apache
Url: http://apr.apache.org/

# Do not define this variable to build release
#%%define cvsbuild 20031118

%ifdef cvsbuild

%define apu_cvsbuild 20031118111933
%define apu_filever _%apu_cvsbuild
%define apu_dir apr-util
%define cvsbuild_desc This package built from CVS snapshot %cvsbuild

%else

%define apu_filever -%version
%define apu_dir apr-util-%version
%define cvsbuild_desc %nil

%endif #cvsbuild

Source: apr-util%apu_filever.tar.bz2
Patch: aprutil-0.9.7-alt-linkage.patch

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

%def_with ldap
%{?_with_ldap:BuildPreReq: libldap-devel}

BuildPreReq: libapr-devel = %version

# Automatically added by buildreq on Thu Feb 12 2004
BuildRequires: libdb4-devel libexpat-devel libgdbm-devel

%package -n lib%name
Summary: Apache Portable Runtime Utility shared library
Group: System/Libraries
# due to linkage issues.
Requires: libapr >= 1:0.9.5-alt0.4
Requires: libapr = %version
Provides: %name = %version-%release
Obsoletes: %name, lib%name-subversion

%package -n lib%name-devel
Summary: Apache Portable Runtime Utility development files
Group: Development/C
Requires: lib%name = %version-%release, libapr-devel = %version
Provides: %name-devel = %version-%release
Obsoletes: %name-devel, lib%name-subversion-devel

%package -n lib%name-devel-static
Summary: Apache Portable Runtime Utility static library
Group: Development/C
Requires: lib%name-devel = %version-%release, libapr-devel-static = %version
Provides: %name-devel-static = %version-%release
Obsoletes: %name-devel-static, lib%name-subversion-devel-static

%description
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc

%description -n lib%name
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc
This package contains APU shared library.

%description -n lib%name-devel
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc
This package contains APU development files.

%description -n lib%name-devel-static
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc
This package contains APU static library.

%prep
%setup -q -n %apu_dir
%patch -p1
rm -rf xml/expat

%build
LIBTOOL_M4=%_datadir/libtool/aclocal/libtool.m4 \
	./buildconf --with-apr=%_datadir/apr
%configure \
	--with-apr=%_prefix \
	--includedir=%_includedir/apu \
	%{subst_with ldap} \
	%{subst_enable static}

%make_build

%install
%make_install DESTDIR=%buildroot install

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/lib*.so*

%files -n lib%name-devel
%_bindir/*-config
%_libdir/lib*.so
%_libdir/*.exp
%_includedir/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/lib*.a
%endif

%changelog
* Sun Mar 19 2006 Aleksey Avdeev <solo@altlinux.ru> 1:0.9.7-alt1.M30.2
- Backport to 3.0

* Thu Nov 03 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.7-alt2
- Updated alt-linkage patch (#8394, x86_64 build)

* Mon Oct 17 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.7-alt1
- Updated to 0.9.7

* Mon May 30 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.6-alt1
- Updated to 0.9.6

* Thu Feb 10 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1:0.9.5-alt0.4.1
- Rebuilt with libdb4.3.

* Mon Aug 16 2004 Dmitry V. Levin <ldv@altlinux.org> 1:0.9.5-alt0.4
- Updated to version from apache 2.0.50 tarball.
- Fixed library linkage.
- Renamed source package.
- Package libaprutil separately.
- Do not build static library by default.

* Thu Feb 12 2004 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.5-alt0.3
- used workaround for build with libexpat without .la files
- updated BuildRequires
- rebuild with libdb4.2

* Sun Nov 30 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.5-alt0.2
- removed *.la files

* Wed Nov 19 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.5-alt0.1
- new version: 0.9.5 (from apache 2.0.48 tarball)

* Fri Aug 22 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.4-alt1
- new version: 0.9.4 (from apache 2.0.47 tarball)

* Tue Apr 15 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.3-alt1
- new version: 0.9.3

* Tue Mar 25 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.2-alt0.1
- first build for ALT Linux
